SoInterpolateVec2f(3)

NAME
SoInterpolateVec2f - The SoInterpolateVec2f class is used to interpolate between pairs of 2D vectors.

SYNOPSIS

#include <Inventor/engines/SoInterpolateVec2f.h>

Inherits SoInterpolate.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFVec2f input0
SoMFVec2f input1

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoInterpolateVec2f class is used to interpolate between pairs of 2D vectors.

Member Function Documentation

  virtual SoType SoInterpolateVec2f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoInterpolate.

  virtual const SoFieldData * SoInterpolateVec2f::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoInterpolate.

  virtual const SoEngineOutputData * SoInterpolateVec2f::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Reimplemented from SoInterpolate.

Member Data Documentation

  SoMFVec2f SoInterpolateVec2f::input0
First set of input values.

  SoMFVec2f SoInterpolateVec2f::input1
Second set of input values.

Author

Generated automatically by Doxygen for Coin from the source code.